#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QMediaInfo.h>
#include <QHandbrake.h>

#include <QFile>
#include <QQmlContext>


int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QMediaInfo mInfo(&app);

//    //Check if HDR/DolbyVision
//    enum QMediaInfo::HDR_Type hdrType = mInfo.getHDRType(__T("Cosmos.mkv"));
//    if (hdrType >= 0) {
//        qInfo() << hdrType;
//    } else {
//        qWarning() << "Could not open file.";
//    }

    QHandbrake handbrake;
    if (handbrake.setPath("J:\\Video\\VideoTools\\HandBrakeCLI.exe") ==1 ) {
        qInfo() << "Success";
        //handbrake.startEncode();
    }
    else {
        qInfo() << "fail";
    }


    QQmlApplicationEngine engine;
    engine.rootContext()->setContextProperty("mediaInfo", &mInfo);
    engine.rootContext()->setContextProperty("handbrake", &handbrake);

    const QUrl url(u"qrc:/DoViGUI/Main.qml"_qs);
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreationFailed,
        &app, []() { QCoreApplication::exit(-1); },
        Qt::QueuedConnection);
    engine.load(url);

    return app.exec();
}
